Skip to content
Docs
Get early access

Asset detail

GET
/v1/assets/{id}
curl --request GET \
--url https://api.wirevod.online/v1/assets/example \
--header 'Authorization: Bearer <token>'
id
required
string

The asset.

Media typeapplication/json
object
asset
required
object
id
required
string
title
required
string
status
required
string
Allowed values: pending uploaded processing ready failed
failure_code
required
string | null
source_width
required
integer | null
source_height
required
integer | null
source_fps
required
number | null
source_codec
required
string | null
source_duration_ms
required
integer | null
source_bitrate_kbps
required
integer | null
origin_size_bytes
required
integer | null
checksum_sha256
required
string | null
drm_enabled
required
boolean
visibility
required
string
published_at
required
integer | null
created_at
required
integer
Example
{
"asset": {
"id": "ast_01J9Z",
"title": "Launch keynote",
"status": "pending",
"failure_code": null,
"source_width": null,
"source_height": null,
"source_fps": null,
"source_codec": null,
"source_duration_ms": null,
"source_bitrate_kbps": null,
"origin_size_bytes": null,
"checksum_sha256": null,
"drm_enabled": false,
"visibility": "private",
"published_at": null,
"created_at": 1760000000000
}
}

Missing or invalid credentials.

Media typeapplication/json
object
error
required
string
code
required
string
message
required
string
details
Example
{
"error": "unauthorized",
"code": "unauthorized",
"message": "Authentication required"
}

The resource does not exist in the tenant, or the route is unknown.

Media typeapplication/json
object
error
required
string
code
required
string
message
required
string
details
Example
{
"error": "not_found",
"code": "not_found",
"message": "Asset not found"
}

Too many requests in the current window.

Media typeapplication/json
object
error
required
string
code
required
string
message
required
string
details
Example
{
"error": "rate_limited",
"code": "rate_limited",
"message": "Too many requests",
"details": {
"retry_after": 60
}
}
Retry-After
integer

Seconds to wait before retrying.